Package x2go :: Module log

[frames] | no frames]

# Module log

source code

X2GoLogger class - flexible handling of log and debug output.

Classes
| X2GoLogger A simple logger class, that is used by all Python X2Go classes.
| X2goLogger A simple logger class, that is used by all Python X2Go classes.

Variables
| __NAME__ = ``'``x2gologger-pylib``'``
| loglevel_NONE = `0`
| loglevel_ERROR = `8`
| loglevel_WARN = `16`
| loglevel_NOTICE = `32`
| loglevel_INFO = `64`
| loglevel_DEBUG = `128`
| loglevel_DEBUG_SFTPXFER = `1024`
| loglevel_DEFAULT = `56` Default loglevel of X2GoLogger objects is: NOTICE & WARN & ERROR
| __package__ = ``'``x2go``'``